// pages/workDailyInfo/workDailyInfo.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(JSON.parse(options.infos),'我是带过来的信息')
    let value=JSON.parse(options.infos)
    value.visitTime = this.formatDate1(value.visitTime);
    this.setData({
      arr:value
    })
    // console.log(options.photos,'我是带过来的图片')
  },
  formatTen(num) {
    return num > 9 ? num + "" : "0" + num;
  },
  formatDate1(date) {
    var date = new Date(date);
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var day = date.getDate();
    var hour = date.getHours();
    var minute = date.getMinutes();
    var second = date.getSeconds();
    return (
      year +
      "-" +
      this.formatTen(month) +
      "-" +
      this.formatTen(day) +
      " " +
      this.formatTen(hour) +
      ":" +
      this.formatTen(minute) +
      ":" +
      this.formatTen(second)
    );
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})